<!-- adHavigation 分类导航 -->
<template>
    <div class="adHavigation cf">
        <div @click="headleClick(item)" class="adHavigation-item" v-for="(item , index ) in home.mainInfo.navigation"
             :key="index">
            <img class="img" :src="item.img" alt="">
            <div class="adHavigation-name">{{item.name}}</div>
        </div>

        <van-popup round v-model="show" :style="{ padding: '7%' }"><span v-html="remark"></span></van-popup>

    </div>
</template>

<script>
    export default {
        name: 'adHavigation',
        inject: ['home'],
        data() {
            return {
                show: false,
                remark: ''
            }
        },
        created() {

        },
        methods: {
            //初始化方法
            init() {

            },
            headleClick(row) {
                if (row.status == 2) {
                    this.remark = row.remark;
                    this.show = true;
                } else {
                    if (!row.url) {
                        this.openUrl('/index/mall')
                    } else {
                        this.openUrl(row.url)
                    }
                }
            }
        },
    }

</script>
<style lang='scss' scoped>
    .adHavigation {
        // display: grid;
        // grid-template-columns: 25% 25% 25% 25%;
        text-align: center;
        // background: #fff;
        padding-top: 0.3rem;

        & > div {
            width: 25%;
            float: left;
            min-height: 75px;
        }
    }

    .img {
        width: 0.88rem;
        height: auto;
    }

    .adHavigation-item {
        margin-bottom: 0.3rem;
    }

    .adHavigation-name {
        margin-top: 0.15rem;
        color: #000;
        font-size: 0.28rem;

    }
</style>
